<script setup lang="ts">

import { ref, defineProps } from "vue";


const props = defineProps({
    data: {
        type: Object
    },
    id: {
        type: Number || String
    }
})


const id = ref<number>(1)


const repeatOption = (): void => {
    props.data.options.push({
        id: id.value++, name: {
            uz: '',
            ru: '',
            cryl: ''
        }
    })
}

const deleteOption = (index: number): void => {
    props.data.options.splice(index, 1)

}

</script>

<template>
    <div>
        <div>
            <!-- {{ props.data }} -->
            <div class="flex items-center gap-16">

                <label for="Write label" class="w-4/12">
                    Write label
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-full"
                        id="Write label" type="text" placeholder="Write label" readonly v-model="props.data.label.ru"
                        @click="$emit('getVal', props.data.label)">
                </label>



                <!-- <label className="relative inline-flex items-center cursor-pointer">
                    <input type="checkbox" v-model="props.data.has_label" class="sr-only peer" />
                    <div
                        className="w-11 h-6 bg-gray-200 peer-focus:outline-none 
                                           rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-primary">
                    </div>
                </label> -->

                <!-- <div class="flex items-center">
                    <input id="default-checkbox" type="checkbox" v-model="props.data.is_multiple"
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
                    <label for="default-checkbox" class="ml-2  dark:text-gray-300">
                        multiple
                    </label>
                </div> -->
            </div>

            <div class="uk-margin">
                <label for="Write place holder">
                    Write place holder
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-4/12"
                        id="Write place holder" type="text" readonly placeholder="Write place holder"
                        v-model="props.data.placeholder.ru" @click="$emit('getVal', props.data.placeholder)">
                </label>
            </div>

            <div class="uk-margin">

                <label for="Write place tooltip">
                    Write place tooltip
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-4/12"
                        id="Write place tooltip" type="text" readonly placeholder="Write place tooltip"
                        v-model="props.data.tooltip.ru" @click="$emit('getVal', props.data.tooltip)">
                </label>
            </div>

            <div class="uk-margin">

                <label for="Write place slug">
                    Write place slug
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-4/12"
                        id="Write place slug" type="text" placeholder="Write place slug" v-model="props.data.slug">
                </label>
            </div>


            <div v-for="(item, index) in props.data.options" :key="index" class="uk-margin flex items-center gap-4">



                <input class="uk-input w-3/12 input-style" id="form-stacked-text" type="text" placeholder="Option1"
                    v-model="item.name.uz" @click="$emit('getVal', item.name)" readonly>

                <button class="btn-outline-secondary  !p-1" @click="deleteOption(index)">
                    <span class="" uk-icon="trash"></span>
                </button>

            </div>

            <button class="btn-outline-secondary !p-1" @click="repeatOption">
                <span class="" uk-icon="plus"></span>
            </button>
        </div>

        <!-- <div class="flex items-start gap-16">
            <div>
                <span class="text-lg">Pattern</span>

                <div class="flex flex-col">

                    <div class="flex items-center">
                        <input :id="'only-number' + id" type="radio" value="only-number" v-model="props.data.pattern"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                        <label :for="'only-number' + id" class="ml-2 dark:text-gray-300">Only
                            number</label>
                    </div>

                    <div class="flex items-center">
                        <input :id="'only-letters' + id" type="radio" value="only-letters" v-model="props.data.pattern"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                        <label :for="'only-letters' + id" class="ml-2 dark:text-gray-300">Only
                            letters</label>
                    </div>

                    <div class="flex items-center">
                        <input :id="'phone-number' + id" type="radio" value="phone-number" v-model="props.data.pattern"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                        <label :for="'phone-number' + id" class="ml-2 dark:text-gray-300">Phone number</label>
                    </div>

                    <div class="flex items-center">
                        <input :id="'email' + id" type="radio" value="email" v-model="props.data.pattern"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                        <label :for="'email' + id" class="ml-2 dark:text-gray-300">Email</label>
                    </div>

                    <div class="flex items-center">
                        <input :id="'date' + id" type="radio" value="date" v-model="props.data.pattern"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                        <label :for="'date' + id" class="ml-2 dark:text-gray-300">Date</label>
                    </div>
                </div>

            </div>

            <div>
                <span class="text-lg">Validators</span>

                <div class="flex items-center">
                    <input :id="'prefix' + id" type="radio" value="prefix" v-model="props.data.validators"
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                    <label :for="'prefix' + id" class="ml-2 dark:text-gray-300">Prefix</label>
                </div>

                <div class="flex items-center">
                    <input :id="'suffix' + id" type="radio" value="suffix" v-model="props.data.validators"
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300  dark:bg-gray-700 dark:border-gray-600">
                    <label :for="'suffix' + id" class="ml-2 dark:text-gray-300">Suffix</label>
                </div>

            </div>

            <div>
                <span class="text-lg">Lenght</span>

                <div class="flex flex-col">
                    <input type="text" placeholder="Min" class="input-style w-1/2 p-2 mb-2" v-model="props.data.length.min">

                    <input type="text" placeholder="Max" class="input-style w-1/2 p-2" v-model="props.data.length.max">
                </div>

            </div>
        </div> -->

        <hr class="mt-16 mb-5">

        <div class="flex items-center justify-end !mb-6">
            <span class="mr-3 border-after">Mandatory question</span>
            <label className="relative inline-flex items-center cursor-pointer">
                <input type="checkbox" class="sr-only peer" v-model="props.data.required" />
                <div
                    className="w-11 h-6 bg-gray-200 peer-focus:outline-none 
                                                            rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-primary">
                </div>
            </label>
        </div>
    </div>
</template>